<TeXmacs|2.1>

<style|<tuple|tmdoc|english|old-spacing|old-dots|old-lengths>>

<\body>
  <tmdoc-title|<TeXmacs> changelog>

  <section|Changes from version 2.1 to 2.1.1>

  <\itemize>
    <item>Creation of various interface themes for <TeXmacs>, such as dark
    and bright (2.1.1).

    <item>Improved high resolution support under Linux and Windows (2.1.1).

    <item>Progress on (not yet default) Qt5 version of <TeXmacs> (2.1.1).

    <item>Updated font database for recent pre-installed Linux/Mac/Window
    fonts (2.1.1).
  </itemize>

  <section|Changes from version 1.99.1 to 2.1>

  <\itemize>
    <item>Minor bug fixes (2.1).

    <item>Various minor bug fixes (1.99.21).

    <item>Updated plug-in for <name|Giac> (1.99.21).

    <item>Better support for the most common <LaTeX> style files (1.99.20).

    <item>Many corrections for the <LaTeX> export when using common <LaTeX>
    styles (1.99.20).

    <item>Various bug fixes (1.99.20).

    <item>Added Slovak language support with the help of Peter Rap£an
    (1.99.20).

    <item>Many bug fixes (1.99.19).

    <item>Improved Octave plugin with tab completion and multi-line input
    (1.99.19).

    <item>Enhanced structured search & replace: added preferences and
    wildcards (1.99.19).

    <item>Minor bug fixes (1.99.18).

    <item>Minor progress on the remote editing tools (1.99.18).

    <item>Continued bug fixes (1.99.17).

    <item>Improved remote editing tools (1.99.17).

    <item>New style package \P<tmpackage|comment>\Q for various kinds of
    comments (1.99.17).

    <item>Lightweight facility for managing user-defined keyboard shortcuts
    (1.99.17).

    <item>Improved customizability of item lists and enumerations (1.99.17).

    <item>Further improvements for preview and help balloons (1.99.16).

    <item>Possibility to find labels from their numeric value (1.99.16).

    <item>Incorporation of a <verbatim|smart-ref> package for smart
    references (1.99.16).

    <item>Fix spell checking under Windows (1.99.16).

    <item>Add <key|C-&> keyboard shortcut to toggle between equations and
    equation arrays (1.99.16).

    <item>Rudimentary support for Wacom-style pen tablets, Qt5 only
    (1.99.16).

    <item>Continued bug fixes (1.99.16).

    <item>Improved help balloons and preview facility for references and
    citations (1.99.15).

    <item>Improved navigation and search tools for labels, references, and
    citations (1.99.15).

    <item>Indicate the current cursor position by shaking the mouse
    (1.99.15).

    <item>Various bug fixes (1.99.15).

    <item>Release of <hlink|\PThe Jolly Writer\Q|https://www.scypress.com/book_info.html>\VYour
    Guide to GNU <TeXmacs> (1.99.14).

    <item>Many bug fixes (1.99.14).

    <item>Improved Html export with better CSS stylability (1.99.14).

    <item>Improved support for Qt5 (1.99.14).

    <item>Improved Octave plugin (1.99.14).

    <item>Continued bug fixes (1.99.13).

    <item>Switch to Python 3 for plug-ins programmed in Python (1.99.13).

    <item>A Parser Framework for programming languages (1.99.13).

    <item>Improved Graphviz plugin with documentation in Chinese and syntax
    highlight (1.99.13).

    <item>Improved Maxima plugin with documentation in Chinese and bug fixes
    (1.99.13).

    <item>Improved Octave plugin on Windows for Octave 5.x (1.99.13).

    <item>Many bug fixes (1.99.12).

    <item>Make it easier to cite work on <TeXmacs> (1.99.12).

    <item>Improved <name|Html> import/export filters and support for
    <name|MathJax> (1.99.12).

    <item>Faster native (<name|Qt>-based) image export of formulas to
    <name|Html> (1.99.12).

    <item>Improved large bracket sizes and script positioning (1.99.12).

    <item>Various artwork related improvements (1.99.12).

    <item>Interface for SymPy (1.99.12).

    <item>Re-implement Asymptote, DraTex, Gnuplot, Graphviz, Xypic using
    Python for full platform support (1.99.12).

    <item>Documentation on how to write plugins using Python (1.99.12).

    <item>Updates of the dictionaries for French and Dutch (1.99.12).

    <item><scm|(run-all-tests)> aggregates and runs all the tests in <scheme>
    (1.99.12).

    <item>Support for <name|Java> language (1.99.12).

    <item>Several bug fixes (1.99.11).

    <item>Repositories for <name|Debian> and <name|Ubuntu> (1.99.11).

    <item>Many bug fixes (1.99.10).

    <item>Redesigned web site (1.99.10).

    <item>Extended <name|Css> stylability when exporting to <name|Html>
    (1.99.10).

    <item>New <TeXmacs> videos on web site (1.99.10).

    <item>Drag and drop for images (1.99.10).

    <item>Unification of beamer and poster styles, work in progress
    (1.99.10).

    <item>Automatic retrieval of artwork from <verbatim|texmacs.org>
    (1.99.10).

    <item>New background patterns and pictures (1.99.10).

    <item>Experimental pattern effects (1.99.10).

    <item>Experimental <name|Sparkle> support under <name|MacOS> (1.99.10).

    <item>Experimental and partial support for <name|Git> as a versioning
    tool (1.99.10).

    <item>Experimantal <name|Graph> plug-in for graphs drawn by various
    external tools (1.99.10).

    <item>User interface for new features in educational styles (1.99.10).

    <item>Many bug fixes (1.99.9).

    <item>Similar spell checking widgets as for search and replace (1.99.9).

    <item>Improved educational styles (1.99.9).

    <item>Multiple choice lists (1.99.9).

    <item>A unified Graph plugin for Graphviz, Asymptote (1.99.9).

    <item>Import improvements from the FriCAS project (1.99.9).

    <item>Fixes and documentation for the Sage plugin (1.99.9).

    <item>Several bug fixes (1.99.8).

    <item>Support of binary packages for various GNU/<name|Linux>
    distributions, constructed using <name|Suse> <name|OpenBuild> services
    (1.99.8).

    <item>Several new algorithms for micro typography: roots, mathematical
    accents, etc. (1.99.7).

    <item>New style for posters (1.99.7).

    <item>Support for new ACM styles (1.99.7).

    <item>Various bug fixes (1.99.7).

    <item>New page breaker with better support for floating objects and
    footnotes (1.99.6).

    <item>Improved native <name|Pdf> generation based on <name|Hummus>
    (1.99.6).

    <item>Several new algorithms for micro typography: subscripts,
    superscripts, etc. (1.99.6).

    <item>Improved support for <TeX> <name|Gyre> fonts (1.99.6).

    <item>Various bug fixes (1.99.6).

    <item>Support for retina screens (1.99.5).

    <item>Implementation of a better, still experimental, page breaking
    algorithm (1.99.5).

    <item>Various improvements for the laptop presentation mode (1.99.5).

    <item>Simplified editor for graphical slides in laptop presentations
    (1.99.5).

    <item>Highly improved animations (1.99.5).

    <item>An editing mode for simple animations based on morphing (1.99.5).

    <item>Various graphical effects and font effects (1.99.5).

    <item>Reorganizations in the configuration of <TeXmacs> (1.99.5).

    <item>Improved rendering of pages, including a mode for double sided
    rendering, and a panorama mode (1.99.5).

    <item>High quality mathematical typesetting for many standard fonts
    (1.99.5); see also the paper \PMathematical Font Art\Q presented at ICMS
    2016.

    <item>Rudimentary support for inking (1.99.5).

    <item>Customizable snapping in graphics mode (1.99.5).

    <item>Various enhancements and fixes for graphics mode (1.99.5).

    <item>Various bug fixes (1.99.4).

    <item>Various improvements for the table editor (1.99.4).

    <item>Greek language support, with the help of Alkis Akritas (1.99.4).

    <item>Experimental math editing mode that enforces syntactic correctness
    (1.99.3).

    <item>A series of improvements in the converter to <LaTeX> (1.99.3).

    <item>Tool for examining errors in the <LaTeX> export (1.99.3).

    <item>High quality support of STIX fonts (1.99.3).

    <item>Various improvements concerning mathematical typesetting (1.99.3).

    <item>Improved punctuation, including support for French punctuation
    rules (1.99.3).

    <item>Improved experimental client-server support (1.99.3).

    <item>Encrypting/decrypting pieces of documents (1.99.3).

    <item>New experimental bibliographic database management (1.99.3).

    <item>New experimental database facilities (1.99.3).

    <item>Added style package for literate programming (1.99.3).

    <item>Consistent support for multiple bibliographies, indexes,
    glossaries, <abbr|etc.> (1.99.3).

    <item>Enabled new style fonts as the default (1.99.2).

    <item>Use small amount of intercharacter stretching by default (1.99.2).

    <item>Nicer search and replace system (1.99.2).

    <item>Added support for the Croatian language (1.99.2).

    <item>Added experimental \Pconservative\Q converters for <LaTeX>
    (1.99.2).

    <item>Various improvements for <LaTeX> converters (1.99.2).

    <item>Various bug fixes (1.99.2).
  </itemize>

  <section|Changes from version 1.0.7 to 1.99.1>

  <\itemize>
    <item>Activate the native Pdf renderer by default (1.99.1).

    <item>Many, many bug fixes (1.99.1).

    <item>Introduction of a debugging console (1.99.1).

    <item>Limited recovery from errors (1.99.1).

    <item>Started implementation of search and replace widget (1.99.1).

    <item>Support for marginal notes (1.99.1).

    <item>Complete reorganization of document styles and package (1.0.7.21).

    <item>Major improvements for upcoming native Pdf renderer (1.0.7.21).

    <item>New focus preferences menu (1.0.7.21).

    <item>New widgets for editing macros (1.0.7.21).

    <item>Improved CJK typesetting and support for Fandol fonts (1.0.7.21).

    <item>Stretchable space between letters (1.0.7.21).

    <item>Implementation of protrusion for the standard <verbatim|ecrm> font
    (1.0.7.21).

    <item>Improved ornaments and typesetting adjustments (1.0.7.21).

    <item>Improved presentation mode (1.0.7.20).

    <item>Various improvements for <LaTeX> import and export (1.0.7.20).

    <item>Rewritten <name|Scilab> plug-in (1.0.7.20).

    <item>Better portability of various plug-ins (1.0.7.20).

    <item>Various graphical font effects; experimental, not yet in interface
    (1.0.7.20).

    <item>Profound reorganization of the font system with experimental option
    for testing (1.0.7.19).

    <item><LaTeX> import and export of metadata for various standard styles
    (1.0.7.19).

    <item>Running plug-ins over remote SSH connections; experimental
    (1.0.7.19).

    <item>Started implementation of remote <TeXmacs> file system (1.0.7.19).

    <item>Improved portability of plug-in detection (1.0.7.19).

    <item>Implementation of arbitrary zoom factors and \Pfit to paragraph
    width\Q (1.0.7.18).

    <item>New widget for user preferences (1.0.7.18).

    <item>More implicit user preferences (1.0.7.18).

    <item>Add developer tools, still experimental (1.0.7.18).

    <item>Start implementation of basic infrastructure for support of system
    fonts (1.0.7.18).

    <item>Started reorganization of titles and other meta-data for documents
    (1.0.7.18).

    <item>Automated generation of documentation about the <name|Scheme> files
    (1.0.7.17).

    <item>Various improvements for <LaTeX> conversion and character encodings
    (1.0.7.17).

    <item>Various improvements for <LaTeX> import (1.0.7.16).

    <item>New and improved <name|Reduce> interface (1.0.7.16).

    <item>Reorganized buffer management and documentation of the new API
    (1.0.7.16).

    <item>Rudimentary support for version control using SVN (1.0.7.16).

    <item>Rudimentary support for graphical macros without text (1.0.7.16).

    <item>Experimental interface with Inkscape (1.0.7.16).

    <item>First rudimentary spreadsheet facility (1.0.7.15).

    <item>Special editing mode for writing <TeXmacs> documentation
    (1.0.7.15).

    <item>Added new widgets to X version, with Qt analogues in progress
    (1.0.7.15).

    <item>Many bug fixes (1.0.7.15).

    <item>New icons for Qt version of <TeXmacs> (1.0.7.14).

    <item>Many bug fixes for graphics mode (1.0.7.14).

    <item>Improved extensible arrows (1.0.7.14).

    <item>Experiment with new set of icons (1.0.7.13).

    <item>Fix Qt image support (1.0.7.13).

    <item>Various bug fixes (1.0.7.13).

    <item>Added plug-in for the <name|Axiom> fork <name|Fricas> (1.0.7.13).

    <item>Make the Qt port default (1.0.7.12).

    <item>Remove the dependency on <TeX>/<LaTeX> (1.0.7.12).

    <item>Distribute the standard fonts with <TeXmacs> (1.0.7.12).

    <item>Move the <TeXmacs> documentation inside the source code (1.0.7.12).

    <item>Support for documentation inside plug-ins (1.0.7.12).

    <item>Support for executable switches (1.0.7.12).

    <item>Markup for CSS and <name|Javascript> customization of generated
    webpages (1.0.7.12).

    <item>Reorganize standard package generation and update website
    (1.0.7.12).

    <item>Support for alpha transparency, Qt version & screen only
    (1.0.7.11).

    <item>Slightly improved interface for presentation mode (1.0.7.11).

    <item>Added debugging facilities when crashing (1.0.7.11).

    <item>Treat big operators as prefixes in mathematical grammar (1.0.7.11).

    <item>Various fixes for native bibliography generator (1.0.7.11).

    <item>Several improvements for <LaTeX> importation (1.0.7.10).

    <item>Menus for mathematical semantics and preferences (1.0.7.10).

    <item>Menus for algorithmic and prominent environments (1.0.7.10).

    <item>Reorganized textual and mathematical menus (1.0.7.10).

    <item>Spacing inside mathematical formulas as a function of adjacency
    semantics (1.0.7.10).

    <item>Further improved support for semantic editing, now at
    <math|\<beta\>>-stage (1.0.7.10).

    <item>Support for remotely controlled laptop presentation (1.0.7.10).

    <item>Many fixes for the Qt version (1.0.7.9).

    <item>Various fixes for semantic editing (1.0.7.9).

    <item>Integrate cursor positions and selections into the undo system
    (1.0.7.9).

    <item>Default to auto-closing and markup-based brackets and big operators
    (1.0.7.9).

    <item>The new interface is more context dependent and based on the newly
    introduced concept of the <em|current focus> (1.0.7.8).

    <item>The graphical user interface has been improved, both for the X11
    and Qt versions (1.0.7.8).

    <item>The generation of dynamic menus and content has been reorganized
    (1.7.0.8).

    <item>The system for contextual overloading has been reorganized
    (1.7.0.8).

    <item>Default look and feel now becomes highly system dependent
    (1.0.7.7).

    <item>Complete reorganization of keyboard shortcuts (1.0.7.7).

    <item>Better support for Gnome, KDE, MacOS and Windows shortcuts
    (1.0.7.7).

    <item>Beta-support for (non rubber) Stix (and some other) fonts
    (1.0.7.7).

    <item>Rudimentary support of CJK input methods in Qt version (1.0.7.7).

    <item>Implementation of a packrat parsing utility (1.0.7.7).

    <item>Add tag type information to DRD (1.0.7.7).

    <item>Source code highlighting based on DRD (1.0.7.7).

    <item>Documentation for beamer style (1.0.7.7).

    <item>Several bug fixes (1.0.7.6).

    <item>Fixes for plug-in support in the Qt port (1.0.7.6).

    <item>Better support for Elsevier styles and JSC (1.0.7.6).

    <item>Several bug fixes for the Qt port (1.0.7.5).

    <item>Replaced testing in <menu|Tools> menu by a nicer debugging tool
    (1.0.7.5).

    <item>Added <verbatim|--enable-pdf-rendering> configuration option for a
    new but experimental native <name|Pdf> export facility (1.0.7.5).

    <item>Native BibTeX-compatible support for bibliographies (1.0.7.5).

    <item>Added a tool for inspection and management of differences between
    two versions (1.0.7.5).

    <item>Improvements in upcoming Qt port (1.0.7.4).

    <item>First beta-release of Qt port for Windows, with installer and build
    environment (1.0.7.4).

    <item>First beta-release of Qt port for MacOS-X, with diskimage
    (1.0.7.4).

    <item>Improvements in upcoming Qt port (1.0.7.3).

    <item>Several bug fixes (1.0.7.3).

    <item>Reimplementation of computer algebra sessions in <name|Scheme>
    (1.0.7.2).

    <item>Cut and paste conform to Opendesktop standard (1.0.7.2).

    <item>Fixes in <LaTeX> export, for latest g++ and mime type support
    (1.0.7.2).

    <item>Replaced <verbatim|fatal_error> exit method by <verbatim|assert>
    statements in code (1.0.7.2).

    <item>Progress on the <name|Windows> version of the <name|Qt> port
    (1.0.7.1).

    <item>Unified memory management for <name|X11> and <name|Qt> version of
    <TeXmacs> (1.0.7.1).

    <item>Added a plug-in for <TeX>graph (1.0.7.1).

    <item>Upgraded license to GNU GPL version 3 or later (1.0.7.1).

    <item>Several fixes and improvements for <name|Html> export (1.0.7.1).

    <item>Development based on <name|Svn> instead of <name|Cvs> (1.0.7.1).
  </itemize>

  <section|Changes from version 1.0.6 to 1.0.7>

  <\itemize>
    <item>Started native Qt port for <TeXmacs> (1.0.7).

    <item>Fixed bugs for re-importing files which were exported to <LaTeX>
    (1.0.7).

    <item>Improved <scheme> mode (1.0.6.15).

    <item>Improved appearance of <name|Wikipedia> mathematical pages
    (1.0.6.15).

    <item>Added plug-in for drawing Feynman diagrams (1.0.6.15).

    <item>TrueColor support (1.0.6.14).

    <item>Started native Aqua port for <TeXmacs> (1.0.6.14).

    <item>Fix compatibility issues for C++ and Guile (1.0.6.14).

    <item>Complete abstraction of the graphical user interface should make
    porting easier (1.0.6.12).

    <item>Improved signal handling for pipe communications (1.0.6.12).

    <item>More control for developers over buffer and window management
    (1.0.6.11).

    <item>Syntax highlighting for <name|Scheme> programs (1.0.6.11).

    <item>Added plug-in for <name|Sage> computer algebra system (1.0.6.11).

    <item>Started rewriting new <TeXmacs> file system in C++ (1.0.6.11).

    <item>Rewrote secure peer to peer client/server connections in C++
    (1.0.6.11).

    <item>Continued reorganizations for the graphics mode (1.0.6.11).

    <item>Corrections of a few old bugs (1.0.6.11).

    <item>Increased user-friendliness of graphics mode (1.0.6.10).

    <item>Necessary updates for Maxima 5.10.0 (1.0.6.10).

    <item>Further improvements in the upcoming markup-based graphical user
    interface (1.0.6.10).

    <item>Background patterns for document, ornaments and table cells
    (1.0.6.10).

    <item>Asynchroneous script evaluation using plug-ins (1.0.6.9).

    <item>Further improvements in the upcoming markup-based graphical user
    interface (1.0.6.9).

    <item>Several improvements for large multi-part documents (1.0.6.8).

    <item>Started the implementation of a new markup-based graphical user
    interface (1.0.6.8).

    <item>Started the implementation of a separate style-rewriting engine
    (1.0.6.8).

    <item>Support for the most recent versions 1.8.0 and 1.8.1 of
    <name|Guile> (1.0.6.7).

    <item>Better <LaTeX> export of <verbatim|elsart> style and other fixes in
    the <LaTeX> converter (1.0.6.7).

    <item>Some improvements in the <verbatim|elsart> style (1.0.6.7).

    <item>Several minor improvements in the graphical mode (1.0.6.7).

    <item>Fixes for Maxima 5.10.0 (1.0.6.7).

    <item>Clean mathematical types and routines for graphics (1.0.6.6).

    <item>Detection of intersections in graphical mode (1.0.6.6).

    <item>Corrections in <name|Cyg<TeXmacs>> version (1.0.6.6).

    <item>Several bug fixes (1.0.6.6).

    <item>Simple to install <name|Cyg<TeXmacs>> version of <TeXmacs>
    (1.0.6.5).

    <item>Correction of some bugs concerning <name|Maple> and
    <name|Mathematica> (1.0.6.5).

    <item>Addition of a plug-in for <name|Cadabra> (1.0.6.5).

    <item>Addition of a native <TeXmacs> wiki (1.0.6.4).

    <item>Implementation of the first version of a remote <TeXmacs> file
    system (1.0.6.4).

    <item>Improved system for hyperlinks and navigation (1.0.6.3).

    <item>Replacement of the <name|Proclus> plug-in by an integrated linking
    tool (1.0.6.3).

    <item>Simplified and improved table editing (1.0.6.2).

    <item>First version of <TeXmacs> server (1.0.6.2).

    <item>Further fixes in CJK support (1.0.6.2).

    <item>Basic CJK support for <TeXmacs>. (1.0.6.1)

    <item>Mechanism for cache invalidation. (1.0.6.1)

    <item>Upgraded <name|Maxima> interface for <name|Maxima> 5.9.3. (1.0.6.1)
  </itemize>

  <section|Changes from version 1.0.5 to 1.0.6>

  <\itemize>
    <item>Improved plug-in for <name|Reduce> (1.0.6).

    <item>Fixes for new version of <name|Maxima> (1.0.6).

    <item>Added <name|Pnambic> plug-in among the examples for debugging
    plug-ins (1.0.6).

    <item>Corrected problems with rubber fonts (1.0.6).

    <item>Further fixes for exporting symbols to LaTeX (1.0.6).

    <item>Several improvements in <LaTeX> converters (1.0.5.12).

    <item>User preference for <name|Html> converter to export formulas as
    images (1.0.5.12).

    <item>Several minor improvements in the graphics mode (1.0.5.12).

    <item>More options for the <TeXmacs> to <LaTeX> converter and updated
    documentation (1.0.5.11).

    <item>Several bug corrections and minor improvements in <LaTeX> to
    <TeXmacs> converter (1.0.5.11).

    <item>Faster and more portable help searching (1.0.5.10).

    <item>Added a plug-in for Mathematica (1.0.5.10).

    <item>Use Type 1 EC fonts by default (1.0.5.10).

    <item>Distribution of several font packages with Type 1 EC fonts
    (1.0.5.10).

    <item>More reliable quoting routines and related bug corrections
    (1.0.5.10).

    <item>Release <math|\<alpha\>>-version of graphical mode (1.0.5.9).

    <item>Improved exportation to Html (1.0.5.9).

    <item>Improved table importation to and from Html/MathML (1.0.5.9).

    <item>Further improvements in Maple interface (1.0.5.9).

    <item>Added a new interface with Maple (1.0.5.8).

    <item>Added converters from and to MathML (1.0.5.8).

    <item>XML parser now expands entities which are defined in the document
    (1.0.5.8).

    <item>Added an option for reverse video mode (1.0.5.8).

    <item>Further improvements for the upcoming graphical mode (1.0.5.8).

    <item>Several minor bugfixes from buglist (1.0.5.7).

    <item>Further improvements in <verbatim|configure.in> and use of
    <verbatim|autoheader> (1.0.5.7).

    <item>Finished implementation of document parts and preambles (1.0.5.7).

    <item>Improved cursor accessability handling (1.0.5.7).

    <item>Improvements in the double-buffering system (1.0.5.6).

    <item>Implementation of a triple-buffering system for the graphical
    object (1.0.5.6).

    <item>Improvements in the partial redraw system (1.0.5.6).

    <item>Start the implementation of document parts and preambles (1.0.5.6).

    <item>Simplifications in <verbatim|configure.in> and the main makefile
    (1.0.5.6).

    <item>Global folding and unfolding according to type of contents
    (1.0.5.6).

    <item>More and improved folding and switching functionality for
    presentation mode (1.0.5.5).

    <item>Simple animations (1.0.5.5).

    <item>On-the-fly evaluation of computer algebra scripts (1.0.5.5).

    <item>Improved rendering speed of images based on plug-in for Imlib2
    (1.0.5.5).

    <item>A simple thumbnail facility (1.0.5.5).

    <item>Documentation of tree API (partial) and structured editing
    (1.0.5.4).

    <item>Fixed some long standing bugs concerning cursor movement (1.0.5.4).

    <item>Implementation of structured cursor movement (1.0.5.4).

    <item>Enrichment of the Scheme API with routines for tree traversal
    (1.0.5.4).

    <item>Improved arrows and dashes for upcoming graphical mode(1.0.5.4).

    <item>Reorganized and consolidated tree API (1.0.5.3).

    <item>Started documentation of Scheme API (1.0.5.3).

    <item>User preference for popup instead of footer dialogues (1.0.5.2).

    <item>Default values and types for interactive arguments (1.0.5.2).

    <item>Better dialogue system based on scheme continuations (1.0.5.2).

    <item>Arrows for the upcoming graphical mode (1.0.5.2).

    <item>Support for plug-in provided icons and dictionaries (1.0.5.2).

    <item>Included <name|Proclus> plug-in into the main distribution
    (1.0.5.2).

    <item>Contextual overloading (1.0.5.1).

    <item>More rational booting and improved speed through higher lazyness
    (1.0.5.1).

    <item>Simplifications in the module system (1.0.5.1).

    <item>Reorganization of the scheme directory structure by functionality
    (1.0.5.1).

    <item>Added first versions of dashed lines and filled curves for upcoming
    graphical mode (1.0.5.1).
  </itemize>

  <section|Changes from version 1.0.4 to 1.0.5>

  <\itemize>
    <item>Several minor bug corrections (1.0.5).

    <item>Further improvements for grids in the upcoming graphical mode
    (1.0.5).

    <item>Added and improved still imperfect <verbatim|svmono>,
    <verbatim|svjour>, <verbatim|elsart> and <verbatim|ifac> styles
    (1.0.4.7).

    <item>Added a plug-in for Dra<TeX> (1.0.4.7).

    <item>Updated and improved Maxima plug-in for upcoming version 5.9.2 of
    Maxima (1.0.4.7).

    <item>Further improvements for grids in the upcoming graphical mode
    (1.0.4.7).

    <item>German translation of the manual by Dietmar Jung (1.0.4.6).

    <item>Selection of visual grid and editing grid in upcoming graphical
    mode (1.0.4.6).

    <item>Several minor bug corrections (1.0.4.6).

    <item>User profile for Windows, Gnome and KDE (1.0.4.5).

    <item>Several bug fixes: keyboard modifiers, Guile GC, Windows/Cygwin,
    <abbr|etc.> (1.0.4.5).

    <item>Arcs, circles and enhanced undo/redo for graphical mode (1.0.4.5).

    <item>Several patches by Josef Weidendorfer for improving the performance
    (1.0.4.4).

    <item>Drag and drop and more intuitive buttons in graphical mode
    (1.0.4.4).

    <item>Synchronization with <math|\<beta\>>-version of the Windows port
    (1.0.4.4).

    <item><math|\<beta\>>-version of the Windows port (1.0.4.3).

    <item>Faster string and pk font loading (1.0.4.3).

    <item>Better graphical selections (1.0.4.3).

    <item>Added <verbatim|svjour> base style for Springer-Verlag articles
    (1.0.4.2).

    <item>Implementation of double page breaks (1.0.4.2).

    <item>Correction of bug in presentation mode and several other minor bug
    corrections (1.0.4.2).

    <item>New implementation of header and title tags (1.0.4.1).

    <item>Documentation on new headers and titles (1.0.4.1).

    <item>Completed documentation on how to write style files (1.0.4.1).

    <item>Reorganization of style files so as to port existing <LaTeX> style
    files to <TeXmacs> (1.0.4.1).

    <item>Cleaner implementation of extern macros (1.0.4.1).

    <item>Add routines for pattern matching on document paths (1.0.4.1).

    <item>Start to use inverse paths associated to trees in typesetting
    process (1.0.4.1).
  </itemize>

  <section|Changes from version 1.0.3 to 1.0.4>

  <\itemize>
    <item>Finished documentation of built-in environment variables (1.0.4).

    <item>Bug fixes in the HTML converters and in the accelerator for long
    documents (1.0.4).

    <item>Better quasi-quoting and added unquote-splicing primitive (1.0.4).

    <item>Finished documentation of <TeXmacs> primitives (1.0.3.11).

    <item>Started documentation built-in environment variables (1.0.3.11).

    <item>Editing of text-at boxes in graphics mode (1.0.3.11).

    <item>Higher reactivity for editing large documents (1.0.3.10).

    <item>Speed-up for starting <TeXmacs> (1.0.3.10).

    <item>Tab-completion and hyperlinks for intra-project labels and
    references (1.0.3.10).

    <item>Patches by Henri Lesourd for better editing of graphics (1.0.3.10).

    <item>Several bug corrections (1.0.3.10).

    <item>Tree call-backs at modifications in documents (1.0.3.9).

    <item>Path-aware trees (1.0.3.9).

    <item>Bug fixes w.r.t. previous version (1.0.3.9).

    <item>Better handling of parameters for page size and margins (1.0.3.8).

    <item>Implementation of \Pmutators\Q, tags which may modify themselves
    (1.0.3.8).

    <item>Let computer algebra sessions make use of mutators (1.0.3.8).

    <item>All <TeXmacs> documents become part of one global super-document
    (1.0.3.8).

    <item>Alpha release of the Windows version of <TeXmacs> (1.0.3.7).

    <item>Application of some patches (1.0.3.7).

    <item>Danish language support (1.0.3.7).

    <item>Part of the documentation has been translated into Polish
    (1.0.3.7).

    <item>Added a lot of documentation on how to write style files (1.0.3.6).

    <item>Modernization of the documentation on the <TeXmacs> primitives and
    style files (1.0.3.6).

    <item>Correction of several bugs from the last version (1.0.3.6).

    <item>Added documentation on how to write style files and packages
    (1.0.3.5).

    <item>Experimental support for recursive sections and structured
    sections/lists (1.0.3.5).

    <item>Thorough reorganization of style files: counters, lists,
    environments, sections (1.0.3.5).

    <item>Support for local layout changes when formatting source code
    (1.0.3.5).

    <item>Added a plug-in for <name|Python> by <person|Ero Carrera>
    (1.0.3.5).

    <item>New <TeXmacs> icon by <person|Johann Dréo> (1.0.3.5).

    <item>The editing of style files has been completely reorganized and
    improved (1.0.3.4).

    <item>Application of many minor bug fixing patches (1.0.3.3).

    <item>Some <TeXmacs> primitives have been documented in greater detail
    (1.0.3.3).

    <item>Further fixes for using <name|True Type> fonts (1.0.3.3).

    <item>Reorganization of font-system so that it can work with <name|True
    Type> fonts instead of the usual pk fonts. This makes it possible to make
    <TeXmacs> distributions which do not longer rely on <name|Metafont> for
    the font-handling (1.0.3.2).

    <item>Implementation of compound fonts. This is used in order to similate
    EC fonts by combining several other CM-like fonts. It also provides a
    first step towards native <name|Unicode> support <no-break>(1.0.3.2).

    <item>Improved <name|Octave> plug-in and added plug-ins for <name|Clisp>,
    <name|Cmucl> and <name|Matlab> (1.0.3.2).

    <item>Further fixes for experimental Windows version (1.0.3.2).

    <item>Synchronized with Windows version (1.0.3.1).

    <item>Further preparation of graphics: grids (1.0.3.1).

    <item>Preparations for changes in font-handling (1.0.3.1).

    <item>A few updates in the documentation (1.0.3.1).
  </itemize>

  <section|Changes from version 1.0.2 to 1.0.3>

  <\itemize>
    <item>Several minor bug corrections (1.0.3).

    <item>Applied some convenience patches (1.0.3).

    <item>Added support for Slovene (1.0.2.11).

    <item>Improvements in LaTeX importation (1.0.2.11).

    <item>Some annoying bug fixes on Cygwin and other systems (1.0.2.10).

    <item>Renaming of tags and environment variables (1.0.2.9).

    <item>Minor improvements in the LaTeX importation (1.0.2.9).

    <item>Further preparations for support of graphics (1.0.2.8).

    <item>Improved forward deletions (1.0.2.8).

    <item>Further improvements based on internal <abbr|D.R.D.> (1.0.2.8).

    <item>Started improvements based on internal <abbr|D.R.D.> (1.0.2.7).

    <item>Improved Reduce interface (1.0.2.7).

    <item>Informative flags for user supplied macros (1.0.2.7).

    <item>Replaced <verbatim|apply> construct by user-tags (1.0.2.7).

    <item>Removed safety code for obsolete <verbatim|expand>-like tags
    (1.0.2.7).

    <item>Generation of web-sites using the tmdoc.css stylesheet (1.0.2.6).

    <item>Macro expansions with a variable number of arguments (1.0.2.6).

    <item>Replaced <verbatim|var_expand> expansions by user tags (1.0.2.6).

    <item>Replaced <verbatim|hide_expand> expansions by user tags (1.0.2.5).

    <item>Create empty buffer when loading non-existent file (1.0.2.5).

    <item>Prompt for restoring autosaved buffers without name (1.0.2.5).

    <item>Automatic generation of web-sites from TeXmacs document trees with
    hyperlinks (1.0.2.5).

    <item>Interface with FreeType-2 for displaying TrueType fonts (1.0.2.5).

    <item>Possibility to generate postscript output with TrueType TeX fonts
    (1.0.2.5).

    <item>The TeXmacs web-site becomes part of the TeXmacs-doc project on
    Savannah (1.0.2.4).

    <item>Internal change in representation of macro expansions (1.0.2.4).

    <item>New data formats and converters can now be plugged in (1.0.2.3).

    <item>Support for multiple ways to connect to a plugin (1.0.2.2).

    <item>Started the native support of DRD's (1.0.2.2).

    <item>Further changes for the Windows port (1.0.2.2).

    <item>Formatting directives become tags of arity zero (1.0.2.1).

    <item>Support for connections by sockets (1.0.2.1).
  </itemize>

  <section|Changes from version 1.0.1 to 1.0.2>

  <\itemize>
    <item>Highly improved TeXmacs to Html converter (1.0.2).

    <item>Informative flags which disappear when printing (1.0.2).

    <item>Many bug fixes (1.0.1.24).

    <item>Experimental XML importers and exporters (1.0.1.24).

    <item>First plugin for the Eukleides system (1.0.1.24).

    <item>Many bug fixes (1.0.1.23).

    <item>Applied several patches for the Html converters (1.0.1.23).

    <item>Further preparations for Windows version (1.0.1.23).

    <item>Macro expansion before conversions to Html (1.0.1.22).

    <item>Some minor bug fixes (1.0.1.22).

    <item>Updated documentation on how to use sessions (1.0.1.21).

    <item>Added many small but useful features for sessions (1.0.1.21).

    <item>Connections to extern applications now support cerr (1.0.1.21).

    <item>Support for multiline input for extern applications (1.0.1.20).

    <item>Detailed documentation on plugins and new interfaces (1.0.1.20).

    <item>Unstable translation of half of the documentation into Portuguese
    by Ramiro Brito Willmersdorf (1.0.1.20).

    <item>Finished reorganization of internal plugin system (1.0.1.20).

    <item>Added a shell plugin and rewrote the ispell interface (1.0.1.19).

    <item>New Mupad plugin by Christopher Creutzig (1.0.1.19).

    <item>Continued reorganization of internal plugin system (1.0.1.19).

    <item>Added first version for secure scheme scripts (1.0.1.18).

    <item>Continued reorganization of internal plugin system (1.0.1.18).

    <item>Added a facility to search words in the documentation (1.0.1.17).

    <item>Continued reorganization of plugin system (1.0.1.17).

    <item>Table alignment on decimal dot/comma (1.0.1.16).

    <item>Started reorganization of internal plugins (1.0.1.16).

    <item>Renamed directory TeXmacs-[version] -\<gtr\> TeXmacs (1.0.1.16).

    <item>Suffix replacements .cc -\<gtr\> .cpp and .hh -\<gtr\> .hpp
    (1.0.1.16).

    <item>Several minor improvements in LaTeX output filter (1.0.1.15).

    <item>Several minor bugfixes (1.0.1Improvement of the interface with GNU
    Octave (1.0.1.15).

    <item>Update of the Brazilian/Portuguese language support (1.0.1.15).

    <item>Implementation of wide braces (1.0.1.14).

    <item>Several patches and minor bug fixes (1.0.1.14).

    <item>Constructed a first LaTeX DRD used by the input filter (1.0.1.13).

    <item>Finished the reorganization of file management, except for better
    caching, which is postponed (1.0.1.13).

    <item>Rewrote Html input filter in Scheme (1.0.1.12).

    <item>Added experimental presentation MathML input filter (1.0.1.12).

    <item>Added several small plugin features (1.0.1.12).

    <item>Started reorganization of file management (1.0.1.12).

    <item>Started a major reorganization of the C++ code (1.0.1.11).

    <item>Auto-closing of brackets and shortcuts for wide-under (1.0.1.11).

    <item>Inclusion of French and Spanish documentation (1.0.1.11).

    <item>A more robust parser for HTML and XML (1.0.1.10).

    <item>TeXmacs now relies on the Guile module system (1.0.1.9).

    <item>Preferences can now be customized by the user (1.0.1.9).

    <item>Started to use Guile module system (half way done) (1.0.1.8).

    <item>Friendlier wait widget (1.0.1.8).

    <item>Further reorganization of Guile and plugins (1.0.1.8).

    <item>Redraw menus only if they have changed (1.0.1.7).

    <item>Added debugging facilities to Guile interface (1.0.1.7).

    <item>Further reorganization of Guile and plugins (1.0.1.7).

    <item>Added 'object' C++ class for Scheme objects (1.0.1.6).

    <item>Further reorganization of Guile and plugins (1.0.1.6).

    <item>Tab completion inside labels and references (1.0.1.6).

    <item>Html output for simple tables and images (1.0.1.6).

    <item>More modular system for plugins (1.0.1.5).

    <item>Added DRD (Data Relation Definition) motor (1.0.1.4).

    <item>Started reorganization of Guile (1.0.1.4).

    <item>Improved interface for octave (1.0.1.4).

    <item>Add missing parenthesis before exporting to LaTeX (1.0.1.4).

    <item>Several bugfixes (1.0.1.4).

    <item>David started an improved TeXmacs to Html converter (1.0.1.3).

    <item>Application of many patches (1.0.1.3).

    <item>Support for the IRIX architecture by Philipp Tomsich (1.0.1.3).

    <item>An interface to GNUplot by Stephan Mucha (1.0.1.3).

    <item>An interface to Graphviz by Jorik Blaas (1.0.1.3).

    <item>Integration of a new string conversion mechanism by Felix Breuer
    (1.0.1.2).

    <item>Added non-determistic control structures to scheme (1.0.1.2).

    <item>Application of many patches (1.0.1.2).

    <item>Updated support for Italian, Polish and Ukrainian (1.0.1.1).

    <item>Several minor bugfixes and feature enhancements (1.0.1.1).
  </itemize>

  <section|Changes between TeXmacs 1.0 and TeXmacs 1.0.1>

  <\itemize>
    <item>Several minor bugfixes (1.0.1).

    <item>Final changes in the menus (1.0.1).

    <item>Prittier checkmarks in menus (1.0.0.25).

    <item>Many minor bug fixes and cleanups (1.0.0.25).

    <item>Part I of the documentation on the markup in packages (1.0.0.24).

    <item>Variants for descriptions (1.0.0.24).

    <item>More customizable referencing and indexing (1.0.0.24).

    <item>Customizable page numbers (1.0.0.24).

    <item>Hacky support of numbers in equation arrays (1.0.0.23).

    <item>Some little improvements in the LaTeX input filter (1.0.0.23).

    <item>Cleanups by David Allouche, mainly in menu.scm (1.0.0.23).

    <item>Support of the Finnish language (1.0.0.22).

    <item>Improvements in the German dictionary (1.0.0.22).

    <item>Temporary fix for problem with g++ 3.2 (1.0.0.22).

    <item>Fixed problem with Guile 1.6 (1.0.0.22).

    <item>Several minor bugs have been fixed (1.0.0.21).

    <item>Low level support of elementary graphics (1.0.0.21).

    <item>The online documentation system becomes default (1.0.0.20).

    <item>New algorithm for the computation of table borders (1.0.0.20).

    <item>Entering Greek letters as variants of normal letters (1.0.0.20).

    <item>Applied many small patches from David Allouche (1.0.0.20).

    <item>Creation of a made-by-TeXmacs tag (1.0.0.20).

    <item>Updated interface for Axiom (1.0.0.20).

    <item>Automatic assembling of documentation (1.0.0.19).

    <item>Very simple browsing through help (1.0.0.19).

    <item>Page breaks before (1.0.0.19).

    <item>Cleanup in base.scm by David Allouche (1.0.0.19).

    <item>A very rudimentary interface for GNU Octave (1.0.0.18).

    <item>Several minor bug corrections (1.0.0.18).

    <item>Automatic completion support for computer algebra systems
    (1.0.0.17).

    <item>Automatic completion using tab (1.0.0.17).

    <item>Added content-based tags to Text menu (1.0.0.16).

    <item>Improvements in the LaTeX to TeXmacs converter for reimporting
    documents which were previously exported (1.0.0.16).

    <item>Automatic generation of preamble instead of using the TeXmacs.sty
    file (1.0.0.15).

    <item>Widget factory for menus moved to the Scheme interface (1.0.0.15).

    <item>Circulating variants for certain environments (1.0.0.15).

    <item>New menu look and feel (1.0.0.14).

    <item>Some changes to the LaTeX to TeXmacs converter (1.0.0.14).

    <item>We started implementing a TeXmacs to Html converter (1.0.0.14).

    <item>Correction of a severe bug which disabled the keyboard on certain
    systems (1.0.0.13).

    <item>Better support of the numeric keypad and dead accents (1.0.0.13).

    <item>Complete change of the keyboard behaviour (1.0.0.12).

    <item>Automatic detection and configuration of modifier keys (1.0.0.12).

    <item>Automatic translation of menus in the documentation (1.0.0.12).

    <item>Guile/Scheme scripts inside documents (1.0.0.12).

    <item>Wildcard system for keyboard shortcuts (1.0.0.11).

    <item>Further reorganization of the menus (1.0.0.11).

    <item>Support for grey menu items, checkmarks and ... in menus
    (1.0.0.11).

    <item>Automatic determination of keyboard shortcuts in menus (1.0.0.11).

    <item>Widgets are now attached to the current display at creation time
    (1.0.0.11).

    <item>Improved reduce and axiom interfaces (1.0.0.11).

    <item>We replaced the gencc preprocessor by the more standard template
    system of C++ (1.0.0.10).

    <item>Headers and footers through menus (1.0.0.9).

    <item>Minor bug fixes (1.0.0.9).

    <item>Reorganization of the online manual (1.0.0.9).

    <item>Standard keyboard prefixes part of tmdoc style file (1.0.0.9).

    <item>Some changes for compilation with g++ 3.1 (1.0.0.8).

    <item>Implementation of arrows with limits above and below (1.0.0.8).

    <item>First part of a reorganization of the menu layout (1.0.0.7).

    <item>Support for user preferences (1.0.0.7).

    <item>Mathematical characters in special fonts become tokens (1.0.0.7).

    <item>Support for the itanium platform (1.0.0.7).

    <item>Rudimentary switches and folding (1.0.0.6).

    <item>Improved documentation for adding new computer algebra systems
    (1.0.0.6).

    <item>Added a presentation mode (1.0.0.6).

    <item>Improved interfaces for QCL, Axiom and Mupad (1.0.0.6).

    <item>Visual environment information when editing (1.0.0.5).

    <item>Letter and exam styles; old letter becomes \Pgeneric\Q (1.0.0.5).

    <item>Implementation of overline and underline macros (1.0.0.5).

    <item>Improved special mathematical fonts cal, frak and Bbb (1.0.0.5).

    <item>Some small improvements in LaTeX to TeXmacs converter (1.0.0.5).

    <item>Added amsart and jsc style files (1.0.0.5).

    <item>Further reorganization of the style files (1.0.0.5).

    <item>Spanish translations of several help files (1.0.0.4).

    <item>Further reorganization of the style files (1.0.0.4).

    <item>Examples of TeXmacs documents are available from online help
    (1.0.0.4).

    <item>Experimental support for the Giac computer algebra system
    (1.0.0.4).

    <item>Experimental support for MacOSX with help from Martin Costabel
    (1.0.0.3).

    <item>Suffixes handling in the file loader and saver by Gareth McCaughan
    (1.0.0.3).

    <item>Experimental support for the Axiom system by Andrey Grozin
    (1.0.0.3).

    <item>Experimental support for Italian with help from Xav (1.0.0.3).

    <item>Fixed bug with computer algebra session styles (1.0.0.3).

    <item>Preliminary version of online help (1.0.0.3).

    <item>Support of Cygwin (1.0.0.2).

    <item>One style file per cas (1.0.0.2).

    <item>Automatic creation of style file menus (1.0.0.2).

    <item>Style file caching (1.0.0.2).

    <item>Heuristic document type determination in absence of suffix
    (1.0.0.2).

    <item>Experimental support for Cygwin by Marciano Siniscalchi (1.0.0.1).

    <item>Posibility to mark multiple positions in a document (1.0.0.1).

    <item>Selections using the shift key (1.0.0.1).

    <item>Init.scm and Init-buffer.scm have been renamed to init-texmacs.scm
    and init-buffer.scm (1.0.0.1).

    <item>Experimental support for Ukrainian by Volodymyr M. Lisivka
    (1.0.0.1).

    <item>Added path, display, widget, array tree and array widget types to
    scheme interface (1.0.0.1).

    <item>Wide accents below formulas (1.0.0.1).

    <item>Progressive upward structural selections (1.0.0.1).

    <item>Corrected an internationalization bug for spell checking (1.0.0.1).

    <item>Scrollbar position no longer changes on focus changes (1.0.0.1).

    <item>Nicer layout of keyboard shortcuts in menus (1.0.0.1).
  </itemize>

  <section|Changes between TeXmacs 0.3.5 and TeXmacs 1.0>

  <\itemize>
    <item>Some minor bug fixes (1.0).

    <item>Several important bug fixes (0.3.5.14).

    <item>Implementation of <verbatim|\\left.>, <verbatim|\\right.> and
    <verbatim|\\big.> (0.3.5.14).

    <item>Keyboard shortcuts are shown left-aligned in the menus (0.3.5.14).

    <item>Added <verbatim|\\d>, <verbatim|\\e>, <verbatim|\\i>,
    <verbatim|\\mathpi> commands for obtaining the corresponding mathematical
    operator and constants (0.3.5.14).

    <item>Finetuned blank space in math mode (0.3.5.14).

    <item>Bugfix by S. Payard when destroying windows (0.3.5.14).

    <item>More standard behaviour of itemize, enumerate and description
    (0.3.5.14).

    <item>Improved TeXmacs to LaTeX converter written in Scheme (0.3.5.13).

    <item>Added support for british english (0.3.5.13).

    <item>Added support for the qcl quantum computing language (0.3.5.13).

    <item>Several bugs were fixed (0.3.5.12).

    <item>Wait indicator during the automatic generation of fonts (0.3.5.12).

    <item>New <verbatim|MIXED_TEXMACS> target for compilation: extern
    libraries are linked dynamically and intern libraries statically
    (0.3.5.12).

    <item>Patch by D. Allouche for doing more security checks during style
    processing (0.3.5.12).

    <item>Patch by D. Allouche for automatically generated content inside
    other structure (0.3.5.12).

    <item>Fixed bug for upgrading titles of old documents (0.3.5.12).

    <item>More user friendly interface for entering titles (0.3.5.11).

    <item>Bugfixes for spell checking, interline spacing and shoving in
    (0.3.5.11).

    <item>Forward delete for non-structured text (0.3.5.11).

    <item>Special fast page breaking algorithm for only one flow (0.3.5.11).

    <item>User interface for footnotes, floats and page breaking (0.3.5.10).

    <item>Positioning of floats (0.3.5.10).

    <item>Updates for the portuguese disctionary by Alexandre Taschetto de
    Castro (0.3.5.10).

    <item>A page breaking algorithm which support floats, footnotes and
    multicolumn content (0.3.5.9).

    <item>Better clearing algorithm when scrolling text (0.3.5.9).

    <item>A web page which explains how to contribute to TeXmacs (0.3.5.9).

    <item>Better keyboard support for eastern european languages (0.3.5.9).

    <item>Support of several miscellaneous symbols like the euro sign
    (0.3.5.9).

    <item>Updates for the czech language support (0.3.5.9).

    <item>The reactivity of the keyboard and scrollbar have been drastically
    improved (0.3.5.8).

    <item>Workaround for a bug in recent versions of ghostscript (0.3.5.8).

    <item>Bug fix for spell checking (0.3.5.8).

    <item>Bug fix for computing environment in macro arguments (0.3.5.8).

    <item>Rpm now supports mime types and inserts TeXmacs icon in application
    menu (0.3.5.8).

    <item>Wheel mouse support (0.3.5.8).

    <item>The russian dictionary has been updated (0.3.5.8).

    <item>Reimplementation of projects using file inclusions (0.3.5.7).

    <item>File inclusions (0.3.5.7).

    <item>Portuguese/brazilian language support by Márcio Laurini (0.3.5.7).

    <item>Many corrections in the german translation by Thomas Langen and
    Ralf Treinen (0.3.5.7).

    <item>Dictionaries are now in scheme format (0.3.5.7).

    <item>Support for Andrey Grozin's tool in Python for the manipulation of
    dictionaries (0.3.5.7).

    <item>Footnotes, floats and multicolumn format for papyrus page type
    (0.3.5.6).

    <item>Figure and table environments (0.3.5.6).

    <item>Hungarian language support by Andras Kadinger (0.3.5.6).

    <item>A few bug fixes (0.3.5.5).

    <item>Continued implementation of lazy typesetting; cells in tables may
    now be multi-paragraph documents (0.3.5.4).

    <item>Easier deletion of rows and columns in tables and selections
    (0.3.5.4).

    <item>Support for postscript output of computer algebra sessions
    (0.3.5.3).

    <item>Inline images in addition to linked images (0.3.5.3).

    <item>Garbage collection of seemingly obsolete images (0.3.5.3).

    <item>Nicer -geometry option (0.3.5.3).

    <item>Copying and pasting computer algebra output into the input
    (0.3.5.3).

    <item>Adjustments to loading and saving buffers (0.3.5.3).

    <item>Corrected indentation bug after eqnarray* and similar macros
    (0.3.5.3).

    <item>First implementation of mathematical input in computer algebra
    sessions (0.3.5.2).

    <item>Arbitrary predicates instead of modes and languages for keyboard
    mappings (0.3.5.2).

    <item>Variant of expand construct with inaccessible borders (0.3.5.2).

    <item>Started implementation of page insertions and multicolumn construct
    (0.3.5.2).

    <item>Computer algebra sessions are silently (re)started when feeding new
    input and the system is inactive (0.3.5.1).

    <item>Recursive kill on all subprocesses when closing a computer algebra
    session (0.3.5.1).

    <item>Fixed minor keyboard-related bugs (0.3.5.1).
  </itemize>

  <section|Changes between TeXmacs 0.3.4 and TeXmacs 0.3.5>

  <\itemize>
    <item>Cite and nocite may take more than one argument (0.3.5.0).

    <item>Computations with tuples and macros with many arguments (0.3.5.0).

    <item>Short documentation on automatic content generation (0.3.5.0).

    <item>Automatic index generation (0.3.5.0).

    <item>Glossaries have been further improved (0.3.5.0).

    <item>Glossaries and nicer tables of contents (0.3.4.12).

    <item>Decorations of pieces of (hyphenated) paragraphs (0.3.4.12).

    <item>Implementation of repeated patterns (0.3.4.12).

    <item>Implementation of references to page numbers (0.3.4.12).

    <item>Many bug fixes for tables and other things (0.3.4.11).

    <item>Some minor bug corrections (0.3.4.10).

    <item>Started \Plazyfication\Q of typesetter (0.3.4.10).

    <item>Short documentation on tables (0.3.4.9).

    <item>Reimplementation of split construct by tables (0.3.4.9).

    <item>Rudimentary implementation of subtables, which cannot yet occur in
    macro expansions (0.3.4.9).

    <item>Some minor bug corrections (0.3.4.9).

    <item>Minor changes in the tutorial pages (0.3.4.9).

    <item>Fixed minor bugs for recent SUN/solaris systems (0.3.4.8).

    <item>Implementation of subtable selections (0.3.4.8).

    <item>Removed old table support (0.3.4.8).

    <item>Fixed bug for displaying trees (0.3.4.8).

    <item>Completely new implementation of tabular material, including many
    new features (0.3.4.7).

    <item>Added czech language support with the help of David Rezac
    (0.3.4.6).

    <item>Added the start of a TeXmacs tutorial on the website (0.3.4.5).

    <item>Documentation for the mathematical typesetting algorithms
    (0.3.4.5).

    <item>Added support for the accented characters for adobe fonts (in
    Metafont). (0.3.4.5).

    <item>The measures of spacing in the style files are now relative to the
    font size and no longer absolute. (0.3.4.5).

    <item>Profound changes in the typesetting algorithms for mathematical
    formulas: the way scripts are placed, spacing between components, size
    and positioning of big delimiters, italic corrections, etc. (0.3.4.5).

    <item>The logical bounding boxes for strings are now determined from the
    <verbatim|tfm> files (0.3.4.5).

    <item>Change in architecture of website (0.3.4.4).

    <item>Package for pregenerating TeX fonts (0.3.4.4).

    <item>Corrected bug in new spec file (0.3.4.4).

    <item>Compatability with gcc 2.96 (0.3.4.3).

    <item>Changed the spec file (0.3.4.3).

    <item>Several minor bugfixes (0.3.4.3).

    <item>Fixed a bug for building on BSD (0.3.4.3).

    <item>A major bugfix for starting up TeXmacs (0.3.4.2).

    <item>Added support for Mupad thanks to Andrey Grozin (0.3.4.2).

    <item>Several bug fixes (0.3.4.1).

    <item>Added support for Yacas (0.3.4.1).

    <item>Added support for Reduce thanks to Andrey Grozin (0.3.4.1).

    <item>Improved interface for Maxima thanks to Andrey Grozin (0.3.4.1).

    <item>Cross execution of commands between TeXmacs and CAS' (0.3.4.1).
  </itemize>

  <section|Changes between TeXmacs 0.3.3 and TeXmacs 0.3.4>

  <\itemize>
    <item>Many bug fixes for the new data format (0.3.4.0).

    <item>Support for special characters in conversion from HTML (0.3.4.0).

    <item>Scheme filters for computer algebra sessions (0.3.4.0).

    <item>Vertical grouping of lines in papyrus mode (0.3.4.0).

    <item>Several minor editing facilities (0.3.4.0).

    <item>Elimination of old data format support II with 7 percent speed gain
    on mathematical texts (0.3.3.22).

    <item>Restructuring of routines in <verbatim|src/Edit>, part II
    (0.3.3.21).

    <item>Clicking on citations jumps to bibliography (0.3.3.21).

    <item>Corrected bug when selecting inside script root (0.3.3.21).

    <item>Replaced physical fonts by logical structure in icon bar
    (0.3.3.21).

    <item>Elimination of old data format support I (0.3.3.21).

    <item>Restructuring of routines in <verbatim|src/Edit>, part I
    (0.3.3.20).

    <item>Better cursor movement in computer algebra sessions (0.3.3.20).

    <item>Lists more context sensitive (0.3.3.20).

    <item>Search, replace and spell descend further into structure
    (0.3.3.20).

    <item>Restructuring of <verbatim|src/Edit> directory (0.3.3.19).

    <item>Conversion algorithm for upgrading to new format II with
    unfortunate 15 percent speed loss on mathematical text (0.3.3.18).

    <item>Conversion algorithm for upgrading to new format I (0.3.3.17).

    <item>New bridge between logical and physical document III (0.3.3.16).

    <item>New bridge between logical and physical document II (0.3.3.15).

    <item>Restructuring the typesetter, part IV (0.3.3.14).

    <item>Several minor bug fixes (0.3.3.14).

    <item>New bridge between logical and physical document I (0.3.3.14).

    <item>Several minor bug fixes (0.3.3.14).

    <item>Restructuring the typesetter environment, part III (0.3.3.13).

    <item>Restructuring the typesetter environment, part II (0.3.3.12).

    <item>Restructuring the typesetter environment, part I (0.3.3.11).

    <item>Corrected bug in infinitesimal horizontal cursor positioning
    (0.3.3.10).

    <item>Restructuring the typesetter, part III (0.3.3.10).

    <item>New algorithm for finding rectangles to redraw, part II (0.3.3.9).

    <item>Cursor aspect changes in bold or sans serif text (0.3.3.9).

    <item>Scrollbar position remains invariant under focus changes (0.3.3.9).

    <item>Some bugfixes (0.3.3.8).

    <item>Slight acceleration of menus (0.3.3.8).

    <item>Support for dead keys (0.3.3.8).

    <item>Arrows on scrollbars (0.3.3.8).

    <item>New algorithm for finding rectangles to redraw, part I (0.3.3.8).

    <item>Natural magnification proposal when loading pictures (0.3.3.7).

    <item>Alternative tag-based support for local environment changes
    (0.3.3.7).

    <item>Correction of a severe bug for printing documents (0.3.3.6).

    <item>Support for reading the Maxima user manual inside TeXmacs
    (0.3.3.6).

    <item>Style files are processed slightly faster (0.3.3.5).

    <item>Speed optimization for mathematical text of approximately 10
    percent (0.3.3.5).

    <item>Restructuring the typesetter, part II (0.3.3.5).

    <item>Adapted <verbatim|gendep> for parallel compilation (0.3.3.5).

    <item>Experimental interface with Maxima by Andrey Grozin (0.3.3.5).

    <item>Several bugfixes (0.3.3.4).

    <item>Restructuring the typesetter, part I (0.3.3.4).

    <item>Several minor bugfixes (0.3.3.3).

    <item>Support for prompts in computer algebra sessions (0.3.3.3).

    <item>More interactive macro expansion, part II (0.3.3.2).

    <item>Support for png and jpeg image formats (0.3.3.2).

    <item>More interactive macro expansion, part I (0.3.3.1).
  </itemize>

  <section|Changes between TeXmacs 0.3.2 and TeXmacs 0.3.3>

  <\itemize>
    <item>Changed numbering convention (0.3.3.0).

    <item>Removed support for old intern tree representations (0.3.3.0).

    <item>Added many new executable constructs (0.3.3.0).

    <item>Definition of several TeXmacs routines in scheme (0.3.3.0).

    <item>Speed optimization of approximately 10 percent (0.3.2-9).

    <item>Correction of several bugs (0.3.2-8).

    <item>Polish language support by Robert Janusz (0.3.2-8).

    <item>Improved algorithm for partial text rendering (0.3.2-7).

    <item>Improved sloppy hyphenation algorithm (0.3.2-7).

    <item>Removal old path conversion algorithm part III (0.3.2-6).

    <item>Russian keyboard support in X initialization by Andrey Grozin
    (0.3.2-5).

    <item>Removal old path conversion algorithm part II (0.3.2-5).

    <item>Removal old path conversion algorithm part I (0.3.2-4).

    <item>Matrix boxes derive from composite boxes (0.3.2-3).

    <item>Action boxes derive from change boxes (0.3.2-3).

    <item>Selections are compatible with new path conversion algorithm
    (0.3.2-3).

    <item>New algorithm for tree path to cursor position conversion
    (0.3.2-2).

    <item>New algorithm for cursor position to tree path conversion
    (0.3.2-1).
  </itemize>

  <section|Changes between TeXmacs 0.3.1 and TeXmacs 0.3.2>

  <\itemize>
    <item>More abstract relative positioning of subboxes (0.3.2-0).

    <item>Slightly improved conversion to LaTeX documents (0.3.1-9).

    <item>Changed data format for big symbols and primes (0.3.1-9).

    <item>Improved <verbatim|advance> routine for languages (0.3.1-9).

    <item>Keyboard shorthands displayed in help balloons (0.3.1-8).

    <item>Saving and loading documents as scheme expressions (0.3.1-8).

    <item>Multiple selections (0.3.1-8).

    <item>Selections may be imported and exported in several formats
    (0.3.1-8).

    <item>A more comprehensible data format for TeXmacs files (0.3.1-7).

    <item>Keyboard shorthand notation more or less compatible with Emacs
    (0.3.1-6).

    <item>New representation of TeXmacs trees (0.3.1-1 until 0.3.1-5).
  </itemize>

  <section|Changes between TeXmacs 0.3.0 and TeXmacs 0.3.1>

  <\itemize>
    <item>Conversion to LaTeX uses babel (0.3.0-7).

    <item>Spanish language support by David Moriano Garcia (0.3.0-7).

    <item>Debian package for TeXmacs by Ralf Treinen (0.3.0-7).

    <item>Man-page for <verbatim|fig2ps> (0.3.0-6).

    <item>Hyperlinks and actions associated to text (0.3.0-6).

    <item>Corrections in german dictionary by Ralf Treinen (0.3.0-6).

    <item>Spell checker based on <verbatim|ispell> (0.3.0-5).

    <item>Conversion of TeX constructs over and pmatrix (0.3.0-4).

    <item>Computer algebra sessions can have names and run in parallel
    (0.3.0-4).

    <item>Execution of commands in sessions may be interrupted (0.3.0-4).

    <item>Removal of TeXmacs lisp and web pages from distribution (0.3.0-4).

    <item>Textual search and query replace (0.3.0-3).

    <item>Help balloons (0.3.0-2).

    <item>Style dependent menus and icons (0.3.0-2).

    <item>Only present fonts are listed in font menus, when using teTeX
    (0.3.0-2).

    <item>Iconbars can be disabled (0.3.0-2).

    <item>Special support for <verbatim|xpm> pixmaps (0.3.0-1).

    <item>Icon bars (0.3.0-1).

    <item>Increased dynamism of menus and icon bars (0.3.0-1).

    <item>Easier selections using <key|ctrl-spc> (0.3.0-1).

    <item>Texts may have a background color (0.3.0-1).
  </itemize>

  <section|Changes between TeXmacs 0.2.5 and TeXmacs 0.3.0>

  <\itemize>
    <item>TeXmacs has officially become <with|font-shape|italic|GNU TeXmacs>
    (0.3.0-0).

    <item>Undo and redo of configurable depth (0.2.5-10).

    <item>Fix of a evolutivity problem in guile-1.4 (0.2.5-10).

    <item>Some brief documentation on the implementation of fonts, the
    TeXmacs data format and converters to other formats (0.2.5-10).

    <item>Startup banner (0.2.5-9).

    <item>First implementation of communication with extern packages via
    pipes (0.2.5-9).

    <item>Started migration towards cleaner TeXmacs data format (0.2.5-8).

    <item>Implementation of a file chooser (0.2.5-8).

    <item>Menus have been made \Psticky\Q (0.2.5-8).

    <item>Corrected bugs in the russian language support (0.2.5-7).

    <item>Emacs compatability keystrokes (0.2.5-7).

    <item>New implementation of virtual fonts (0.2.5-7).

    <item>First support of the russian language, with help from Andrey Grozin
    (0.2.5-6).

    <item>Improved anti-aliasing algorithm (0.2.5-5).

    <item>Use ec fonts instead of cm fonts (0.2.5-5).

    <item>Added support for adobe postscript fonts (0.2.5-5).

    <item>Anti-aliasing of X fonts (0.2.5-4).

    <item>Integrated functionalities of <verbatim|server_font> structure into
    the <verbatim|font> structure itself (0.2.5-3).

    <item>Replaced convert method in <verbatim|font> structure by
    <verbatim|draw> and <verbatim|get_extents> methods. Allows fonts to be
    moved one level down to the Resource directory (0.2.5-2).
  </itemize>

  <section|Changes between TeXmacs 0.2.4 and TeXmacs 0.2.5>

  <\itemize>
    <item>Added manpage for TeXmacs (0.2.5-1).

    <item>Wrote texmacs.spec file for use with rpm (0.2.5-1).

    <item>New layout for webpage (0.2.5-1).

    <item>Menus translated into swedish by Harald Ellmann (0.2.4h).

    <item>More sophisticated alarm (0.2.4h).

    <item>Started implementing HTML to <TeXmacs> converter (0.2.4g).

    <item>Patch for <verbatim|gettimeofday> by Rob Clark (0.2.4g).

    <item>Wide hats, scripts with limits, penalties, no line breaks (0.2.4g).

    <item>Easy incorporation of pictures created by xfig, with incorporated
    LaTeX formulas (0.2.4g).

    <item>Romanian menus by Dan Ignat (0.2.4f).

    <item>Configuration using <verbatim|autoconf> and simplified installation
    of interface with guile (0.2.4f).

    <item>Automatic generation of tables of contents, except for page
    references (0.2.4e).

    <item>Added romanian help files (thanks to Dan Ignat) and romanian
    hyphenation (0.2.4e).

    <item>Completely replaced <TeXmacs>-lisp by
    <with|font-shape|small-caps|Guile Scheme> (0.2.4d).

    <item>First dynamic interface with guile (0.2.4c).

    <item>First implementation of multifile projects (0.2.4c).

    <item>Automatic generation of bibliographies using <verbatim|bibtex>
    (0.2.4c).

    <item>Auto save recovery and \Pno changes need to be saved\Q (0.2.4b).

    <item>Nicer recursive dynamic commands (0.2.4b).

    <item>TeXmacs style file for conversions to LaTeX documents (0.2.4b).

    <item>Hybrid LaTeX/TeXmacs commands (0.2.4b).

    <item>Preview with <verbatim|ghostview> (0.2.4b).
  </itemize>

  <section|Changes between TeXmacs 0.2.3 and TeXmacs 0.2.4>

  <\itemize>
    <item>Correction of some scrolling bugs (0.2.4a).

    <item><verbatim|TEX_PATHS> and invalid fonts in user directory (0.2.4a).

    <item>Help files are read only (0.2.4a).

    <item>Popup menus (0.2.4a).

    <item>Better implementation of page sizes; papyrus becomes default
    (0.2.3h).

    <item>Values of labels are saved (0.2.3h).

    <item>Extra fonts via menus (0.2.3g).

    <item>Normal (fast) and professional (slower) hyphenation (0.2.3f).

    <item>Possibility to compile TeXmacs with recent g++ compilers and to
    compile with optimization. This speeds up the editor about 2 to 3 times,
    except for displaying text (0.2.3f).

    <item>Normal (fast) and professional (slower) hyphenation (0.2.3f).

    <item>Loading pk files three times faster (0.2.3e).

    <item>Starting up 50 percent faster (0.2.3e).

    <item>Scrolling 50 percent faster (0.2.3e).

    <item>Corrected bug for making selections (0.2.3e).

    <item>0.1 sec delay in displaying popup menus (0.2.3d).

    <item>Better cursor positioning for macro expansions (0.2.3d).

    <item>Typesetting (simple) trees (0.2.3d).

    <item>Easier interface for including images (0.2.3d).

    <item>Incorporation of postscript images (0.2.3c).

    <item>Web pages included in documentation (0.2.3c).

    <item>Correction of some bugs concerning multiple windows (0.2.3b).
  </itemize>

  <section|Changes between TeXmacs 0.2.2 and TeXmacs 0.2.3>

  <\itemize>
    <item>Implementation of a <TeXmacs> server for handling multiple views.

    <item>Facility to execute editing commands using <LaTeX> command names.

    <item>Correction of several bugs concerning menus.

    <item>Implementation of more dynamical menus.

    <item>Menu items now show equivalent key-bindings.

    <item>Implementation of symbol menus.
  </itemize>

  <tmdoc-copyright|1998\U2021|Joris van der Hoeven>

  <tmdoc-license|Permission is granted to copy, distribute and/or modify this
  document under the terms of the GNU Free Documentation License, Version 1.1
  or any later version published by the Free Software Foundation; with no
  Invariant Sections, with no Front-Cover Texts, and with no Back-Cover
  Texts. A copy of the license is included in the section entitled "GNU Free
  Documentation License".>
</body>

<initial|<\collection>
</collection>>